Error enabling xcb on arm



  • Hi,
    I am using iMx7 running debian. I am trying to configure and install Qt 5. I ./congfigure with -qt-xcb option. It gives me the following error :
    " ERROR: Feature 'xcb' was enabled, but the pre-condition 'features.thread && features.xkbcommon && libs.xcb' failed. "

    As far as I have searched on the internet, I feel there are some libraries missing but I am not sure. Can anyone help me out regarding this ?


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    You need the libxkbcommon development package for your target.


Log in to reply